<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>
		body{
			width: 1200px;
		}
		#contenedor{
			width: 1200px;
			height: 1000px;
			position: relative;
			background-color: lime;
			margin: auto;
			
			
		}
		#Principal{
			width: 1000px;
			height: 600px;
			float: left;
			margin-left: 100px;
			margin-top: 50px;
			background-color: gold;
					
		}
		#contenedorMiniaturas{
			width: 1100px;
			height: 200px;
			float: left;
			position: relative;
			margin-left: 50px;
			margin-top: 50px;
			background-color: aqua;
			

		}
		.miniaturas{
			width: 250px;
			height: 180px;
			float: left;
			margin-top: 10px;
			margin-left: 20px;
			background-color: white;
		}
		#botones{
			width: 1100px;
			height: 50px;
			float: left;
			margin-left: 50px;
			padding-top: 20px;
			background-color: orange;
			text-align: center;

		}
		.btn{
			float: left;
			position: relative;
			margin-top: 12px;
			margin-left: 85px;
			
		}
		#configuracion{
			position: fixed;
			width: 450px;
			height: 500px;
			background-color: FloralWhite;
			left: 375px;
			top: 70px;
			visibility: hidden;
		}
		img{
			width: 100%;
			height: 100%;
		}
		.miniaturas img:hover{
			opacity: 0.5;
		}
	</style>
	<script type="text/javascript">
		window.addEventListener("load", function(){
			let AbrirConf=document.querySelector("#abrirConfig");
			let VentanaConf=document.querySelector("#configuracion");
			let btnVentanaConf=document.querySelector("#btnVentanaConfig");
			let imagenes=new Array();
			let divMiniaturas=document.querySelectorAll(".miniaturas");
			let totalFotos=8;
			let indicePF=0;
			let btnSiguienteF=document.querySelector("#btnSig");
			let btnAntF=document.querySelector("#btnAnt");
			let divPrincipal=document.querySelector("#Principal");
			
			//Mostrr primera foto
			document.querySelector("#pFoto");
			pFoto.addEventListener("click", function(){
				fprincipal.src="img/p0.jpg";
			});
			//mostrar ultima foto
			//document.querySelector("#uFoto");
			uFoto.addEventListener("click", function(){
				fprincipal.src="img/p"+(totalFotos-1)+".jpg";
			});

			btnSig.addEventListener("click", function(){
				siguienteFoto();
			});
			btnAnt.addEventListener("click", function(){
				anteriorFoto();
			});


			imagenes=precargaImagenes(totalFotos, "img/p", ".jpg");
			rellenaAlbum(imagenes, totalFotos);
			console.log(imagenes);
			


			
			


			
			abrirConfig.addEventListener("click", function(){
				visible(true);
			});


			btnVentanaConf.addEventListener("click", function(){
				visible(false);
			});

			function visible(a){
				if(a){
					VentanaConf.style.visibility = "visible";
				}else {
					VentanaConf.style.visibility = "hidden";
				}
			}

			//indicar el total de imagenes, la ruta y la extension de las
			//imagenes.
			function precargaImagenes(numero, ruta, extension){
				let arrayDeImagenes=new Array();
				for(let i = 0; i < parseInt(numero); i++){
					arrayDeImagenes[i]=new Image();
					arrayDeImagenes[i].src=ruta+(i)+extension;
				}
				return arrayDeImagenes;
			}
 			
 			function rellenaAlbum(arrayFotos){
 								
 				for(let i = 0; i < 4; i++){
 					divMiniaturas[i].innerHTML='<img src="'+arrayFotos[i].src+'">';
 				}

 				Principal.innerHTML='<img id="fprincipal" src="'+imagenes[indicePF].src+'">';
 			}

 			function siguienteFoto(){
 				
 				if ((indicePF+4)<totalFotos) {
 					indicePF++;
 					//indicePF=0;
 					console.log('entra en el if de siguiente foto y indicepf vale '+indicePF);
 				
 				divMiniaturas[0].innerHTML='<img src="'+imagenes[indicePF].src+'">';
 				divMiniaturas[1].innerHTML='<img src="'+imagenes[indicePF+1].src+'">';
 				divMiniaturas[2].innerHTML='<img src="'+imagenes[indicePF+2].src+'">';
 				divMiniaturas[3].innerHTML='<img src="'+imagenes[indicePF+3].src+'">';
 				//imgPrincipal..innerHTML='<img src="'+imagenes[indicePF].src+'">';
 				Principal.innerHTML='<img id="fprincipal" src="'+imagenes[indicePF].src+'">';
 				}
 			}

 			function anteriorFoto(){
 				console.log("llega al btn foto anterior indicepf vale "+indicePF);
 				
 				if ((indicePF+3)>3) {
 					indicePF--;
 					//indicePF=0;
 					console.log('entra en el if de anterior foto y indiepf vale '+indicePF);
 				
 				divMiniaturas[0].innerHTML='<img src="'+imagenes[indicePF].src+'">';
 				divMiniaturas[1].innerHTML='<img src="'+imagenes[indicePF+1].src+'">';
 				divMiniaturas[2].innerHTML='<img src="'+imagenes[indicePF+2].src+'">';
 				divMiniaturas[3].innerHTML='<img src="'+imagenes[indicePF+3].src+'">';
 				//imgPrincipal..innerHTML='<img src="'+imagenes[indicePF].src+'">';
 				Principal.innerHTML='<img id="fprincipal" src="'+imagenes[indicePF].src+'">';
 				}
 			}

 			for(let i = 0; i < divMiniaturas.length; i++){
				divMiniaturas[i].addEventListener("click", function(){
				document.querySelector("#fprincipal");
				console.log(divMiniaturas[i].firstChild);
				//Metodos en DOM Element Object
				fprincipal.src=divMiniaturas[i].firstChild.src;
			});
				
			}
		});

		//dudas:
		//¿porque al asignar un evento al boton, no respeta el css?descoloca los botones
		//¿no hace falta crear listener con let, con queryselector ya crea variable con el id del html?
		//cosas quefaltan:
		//Añadir listener a las miniaturas para que al clickar se ponga la imagen en grande
	</script>
</head>
<body>
	<div id="contenedor">
		<div id="Principal">
			
		</div>
		<div id="contenedorMiniaturas">
			<div class="miniaturas"></div>
			<div class="miniaturas"></div>
			<div class="miniaturas"></div>
			<div class="miniaturas"></div>
		</div>
		<div id="botones">
			<button id="btnAnt">Anterior</button>
			<button id="pFoto">Primera Foto</button>
			<button id="abrirConfig">Configuracion</button>
			<button id="uFoto">Ultima Foto</button>
			<button id="btnSig">Siguiente</button>
		</div>
		<div id="configuracion">
			Introduce la ruta<input type="text" name="" value="" placeholder="">
			<br>
			¿que extension tienen las imagenes? <select>
												  <option value=".jpg">.jpg</option>
												  <option value=".bpm">.bpm</option>
												  <option value=".jfif">.jfif</option>
												  <option value=".png">.png</option>
												</select> 
			<br>
			<button id="btnVentanaConfigGuardar">Guardar</button>
			<button id="btnVentanaConfig">Cerrar</button>
		</div>
	</div>
</body>
</html>